# From /opt/backstory run:
# python -m src.tests.test-message
from ..utils import logger

from ..utils import Message, MessageMetaData
from ..utils import ChromaDBGetResponse

import json

prompt = "This is a test"
message = Message(prompt=prompt)
print(message.model_dump(mode="json"))
#message.metadata = MessageMetaData()
rag = ChromaDBGetResponse()
message.metadata.rag = rag
print(message.model_dump(mode="json"))
